import { AccessToken } from './utils';
import { DataApiAggregateResponse, DataApiHistoricalResponse, DataApiMostUsedResponse, DataApiPortfolioResponse, DataApiTradingPairsResponse, DataApiValueResponse } from './responses';
import { DataApiAggregateQuery, DataApiHistoricalQuery, DataApiLatestQuoteQuery, DataApiMostUsedQuery, DataApiTradingPairsQuery, DataApiPortfolioQuery } from './queries';
import { DataApiClientConfig } from './entities';
import { DataApiValueQuery } from './queries/value.query';
export declare class DataApiClient {
    private url;
    private config;
    private nativeAuthSigner;
    constructor(config: DataApiClientConfig);
    executeValueQuery(query: DataApiValueQuery | DataApiLatestQuoteQuery): Promise<DataApiValueResponse | undefined>;
    executeAggregateQuery(query: DataApiAggregateQuery): Promise<DataApiAggregateResponse | undefined>;
    executeHistoricalQuery(query: DataApiHistoricalQuery): Promise<DataApiHistoricalResponse[]>;
    executeMostUsedQuery(query: DataApiMostUsedQuery): Promise<DataApiMostUsedResponse[]>;
    executeTradingPairsQuery(query: DataApiTradingPairsQuery): Promise<DataApiTradingPairsResponse[]>;
    executePortfolioQuery(query: DataApiPortfolioQuery): Promise<DataApiPortfolioResponse[]>;
    private executeQuery;
    private executeRawQuery;
    private initialize;
    private getConfig;
    getAccessToken(): Promise<AccessToken>;
}
