"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiError = exports.NetworkError = void 0;
class NetworkError extends Error {
    constructor(rawError) {
        var _a, _b;
        super(rawError === null || rawError === void 0 ? void 0 : rawError.message);
        this.name = 'NetworkError';
        this.response = (_a = rawError === null || rawError === void 0 ? void 0 : rawError.response) === null || _a === void 0 ? void 0 : _a.data;
        this.status = (_b = rawError === null || rawError === void 0 ? void 0 : rawError.response) === null || _b === void 0 ? void 0 : _b.status;
        this.stack = rawError === null || rawError === void 0 ? void 0 : rawError.stack;
        Object.setPrototypeOf(this, NetworkError.prototype);
    }
}
exports.NetworkError = NetworkError;
class DataApiError extends Error {
    constructor(errors) {
        super(`Errors: ${errors.map((e) => { var _a, _b; return `[${(_a = e.extensions) === null || _a === void 0 ? void 0 : _a.id}] ${(_b = e.extensions) === null || _b === void 0 ? void 0 : _b.code}: ${e.message}`; }).join('; ')}`);
        this.name = 'DataApiError';
        this.errors = errors;
        Object.setPrototypeOf(this, DataApiError.prototype);
    }
}
exports.DataApiError = DataApiError;
//# sourceMappingURL=errors.js.map