"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiAggregateOrHistoricalQueryBuilder = void 0;
const entities_1 = require("../../entities");
const base_query_builder_1 = require("./base.query.builder");
const historical_query_builder_1 = require("./historical.query.builder");
class DataApiAggregateOrHistoricalQueryBuilder extends base_query_builder_1.DataApiBaseQueryBuilder {
    constructor(query) {
        super();
        this.copyProps(query);
    }
    getAggregate(...values) {
        this.addValues(...values);
        return this.buildQuery(entities_1.DataApiQueryType.AGGREGATE);
    }
    withTimeResolution(resolution) {
        this.addOption('resolution', resolution);
        return new historical_query_builder_1.DataApiHistoricalQueryBuilder(this);
    }
}
exports.DataApiAggregateOrHistoricalQueryBuilder = DataApiAggregateOrHistoricalQueryBuilder;
//# sourceMappingURL=aggregate.or.historical.query.builder.js.map