"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiLatestQuoteQueryBuilder = void 0;
const entities_1 = require("../../entities");
const values_1 = require("../../values");
const base_query_builder_1 = require("./base.query.builder");
class DataApiLatestQuoteQueryBuilder extends base_query_builder_1.DataApiBaseQueryBuilder {
    constructor(query) {
        super();
        this.copyProps(query);
    }
    getPrice() {
        this.addValues(values_1.LatestQuoteValue.price, values_1.LatestQuoteValue.time);
        return this.buildQuery(entities_1.DataApiQueryType.LATEST_QUOTE);
    }
    getChange24h() {
        this.addValues(values_1.LatestQuoteValue.change24h, values_1.LatestQuoteValue.time);
        return this.buildQuery(entities_1.DataApiQueryType.LATEST_QUOTE);
    }
    getCirculatingSupply() {
        this.addValues(values_1.LatestQuoteValue.circulatingSupply, values_1.LatestQuoteValue.time);
        return this.buildQuery(entities_1.DataApiQueryType.LATEST_QUOTE);
    }
    getMarketCap() {
        this.addValues(values_1.LatestQuoteValue.marketCap, values_1.LatestQuoteValue.time);
        return this.buildQuery(entities_1.DataApiQueryType.LATEST_QUOTE);
    }
    getVolume24h() {
        this.addValues(values_1.LatestQuoteValue.volume24h, values_1.LatestQuoteValue.time);
        return this.buildQuery(entities_1.DataApiQueryType.LATEST_QUOTE);
    }
}
exports.DataApiLatestQuoteQueryBuilder = DataApiLatestQuoteQueryBuilder;
//# sourceMappingURL=latest.quote.query.builder.js.map