"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiTradingPairsQueryBuilder = void 0;
const entities_1 = require("../../entities");
const values_1 = require("../../values");
const base_query_builder_1 = require("./base.query.builder");
class DataApiTradingPairsQueryBuilder extends base_query_builder_1.DataApiBaseQueryBuilder {
    constructor(query) {
        super();
        this.copyProps(query);
    }
    getValues() {
        const values = [
            values_1.TradingPairsValue.address,
            values_1.TradingPairsValue.state,
            values_1.TradingPairsValue.firstToken,
            values_1.TradingPairsValue.secondToken,
        ];
        this.addValues(...values);
        return this.buildQuery(entities_1.DataApiQueryType.TRADING_PAIRS);
    }
}
exports.DataApiTradingPairsQueryBuilder = DataApiTradingPairsQueryBuilder;
//# sourceMappingURL=trading.pairs.query.builder.js.map