"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiNFTsQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiNFTsQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'nfts', args: [] });
    }
    count() {
        this.addToPath({ name: 'count', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    count24h() {
        this.addToPath({ name: 'count24h', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    transfers() {
        this.addToPath({ name: 'transfers', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    dailyMostUsed(top) {
        this.addToPath({
            name: 'dailyMostUsed',
            args: [
                { name: 'top', type: 'Int!', value: top },
            ],
            hasQuery: true,
        });
        return new internal_1.DataApiMostUsedQueryBuilder(this);
    }
    mostUsed24h(top, onlyVerified = false) {
        this.addToPath({
            name: 'mostUsed24h',
            args: [
                { name: 'top', type: 'Int!', value: top },
                { name: 'onlyVerified', type: 'Boolean', value: onlyVerified },
            ],
            hasQuery: false,
        });
        return new internal_1.DataApiMostUsedQueryBuilder(this);
    }
}
exports.DataApiNFTsQueryBuilder = DataApiNFTsQueryBuilder;
//# sourceMappingURL=nfts.query.builder.js.map