import { DataApiPortfolioQuery } from '../queries';
import { DataSource, TimeRange, TimeResolution } from '../entities';
import { DataApiBaseQueryBuilder } from './internal';
export declare class DataApiPortfolioQueryBuilder extends DataApiBaseQueryBuilder {
    private address?;
    private token?;
    private source?;
    constructor();
    forAddress(address: string): DataApiPortfolioQueryBuilder;
    forToken(token: string): DataApiPortfolioQueryBuilder;
    fromSource(source: DataSource): DataApiPortfolioQueryBuilder;
    withTimeRange(range: TimeRange): DataApiPortfolioQueryBuilder;
    betweenDates(startDate: Date, endDate?: Date): DataApiPortfolioQueryBuilder;
    withTimeResolution(resolution: TimeResolution): DataApiPortfolioQueryBuilder;
    getValues(): DataApiPortfolioQuery;
}
