"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiPortfolioQueryBuilder = void 0;
const entities_1 = require("../entities");
const internal_1 = require("./internal");
class DataApiPortfolioQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'portfolio', args: [] });
        this.addToPath({ name: 'value', args: [], hasQuery: true });
    }
    forAddress(address) {
        this.address = address;
        return this;
    }
    forToken(token) {
        this.token = token;
        return this;
    }
    fromSource(source) {
        this.source = source;
        return this;
    }
    withTimeRange(range) {
        this.addOption('range', range);
        return this;
    }
    betweenDates(startDate, endDate) {
        this.addOption('start_date', startDate);
        this.addOption('end_date', endDate);
        return this;
    }
    withTimeResolution(resolution) {
        this.addOption('resolution', resolution);
        return this;
    }
    getValues() {
        this.addPathArgs('value', [
            { name: 'address', type: 'String!', value: this.address },
            { name: 'token', type: 'String', value: this.token },
            { name: 'source', type: 'DataSource', value: this.source },
        ]);
        this.addValues('time', 'token', 'value');
        return this.buildQuery(entities_1.DataApiQueryType.PORTFOLIO);
    }
}
exports.DataApiPortfolioQueryBuilder = DataApiPortfolioQueryBuilder;
//# sourceMappingURL=portfolio.query.builder.js.map